Package: groovy.lang

## [Groovy] Class GroovyLogTestCase

- groovy.lang.GroovyLogTestCase

- Helper class to spoof log entries as produced by calling arbitrary code. This allows non-intrusive testing of dependent objects without explicitly using Mock objects as long as those dependent objects do some proper logging. As a measure of last resort, it can be used on MetaClass to spoof it's log entries on 'invokeMethod'.

  Authors:
    Dierk Koenig
  See Also:
    GroovyLogTestCaseTest

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `stringLog(Level level, String qualifier, Closure yield)` Execute the given Closure with the according level for the Logger that is qualified by the qualifier and return the log output as a String.
    `` | `static def` | `withLevel(Level level, String qualifier, Closure yield)` Execute the given Closure with the according level for the Logger that is qualified by the qualifier.

- - ### Method Detail

    - #### static String stringLog(Level level, String qualifier, Closure yield)

      Execute the given Closure with the according level for the Logger that is qualified by the qualifier and return the log output as a String. Qualifiers are usually package or class names. Existing log level and handlers are restored after execution.

    - #### static def withLevel(Level level, String qualifier, Closure yield)

      Execute the given Closure with the according level for the Logger that is qualified by the qualifier. Qualifiers are usually package or class names. The log level is restored after execution.